import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class UserService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }
  //删除角色
  async roleListDelete(params = {}) {
    return await this.post('/user/role/delete', params)
  }

  //角色列表
  async roleList(params = {}) {
    return await this.post('/user/role/search/page', params)
  }
  //部门列表
  async departmentList(params = {}) {
    return await this.post('/department/search/list', params)
  }

  //权限查看add
  async groupSingleAdd(params = {}) {
    return await this.post('/user/role/add/detail/list', params)
  }
  //修改节点
  async authorityNodeUpdate(params = {}) {
    return await this.post('/authority/node/update', params)
  }
  //修改按钮
  async authorityActionUpdate(params = {}) {
    return await this.post('/authority/action/update', params)
  }
  //删除节点
  async authorityNodeDelete(params = {}) {
    return await this.post('/authority/node/delete', params)
  }

  //删除按钮
  async authorityActionDelete(params = {}) {
    return await this.post('/authority/action/delete', params)
  }
  //添加节点
  async authorityNodeAdd(params = {}) {
    return await this.post('/authority/node/add', params)
  }

  //权限查看update
  async groupSingleUpdate(params = {}) {
    return await this.post('/user/role/update/detail/list', params)
  }

  //修改角色
  async roleListUpdate(params = {}) {
    return await this.post('/user/role/update', params)
  }

  //添加角色
  async roleListAdd(params = {}) {
    return await this.post('/user/role/add', params)
  }
  //角色列表
  async roleNameList(params = {}) {
    return await this.post('/user/role/search/list', params)
  }
  //获取邮箱组别列表
  async getGroupEmailList(params = {}) {
    return await this.post('/google/group/user/list', params)
  }
  //角色列表
  async userGroupGet(params = {}) {
    return await this.post('/user/group/get', params)
  }
  //区域下拉
  async arealListUP(params = {}) {
    return await this.post('/sys/area/search/dd', params)
  }
  //用户列表
  async userList(params = {}) {
    return await this.post('/user/search/page', params)
  }
  //获取组别类型
  async customGroupTypeList(params = {}) {
    return await this.post('/custom/group/type/list', params)
  }

  //代理默认组别类型设置
  async ibGroup(params = {}) {
    return await this.post('/ib/update/login/group', params)
  }

  //用户开户设置
  async userAccountSetup(params = {}) {
    return await this.post('/user/update/show/login/type', params)
  }
  //解封
  async userUnseal(params = {}) {
    return await this.post('/user/unseal', params)
  }
  //重置密钥 后续绑定谷歌验证码
  async secretKeyRe(params = {}) {
    return await this.post('/user/re/secret/key', params)
  }
  //清理密钥 不接触绑定 无法通过谷歌验证码登录
  async secretKeyClose(params = {}) {
    return await this.post('/user/close/secret/key', params)
  }
  //重置密码
  async rePassword(params = {}) {
    return await this.post('/user/reset/password', params)
  }
  //获取谷歌密钥
  async secretKeyGet(params = {}) {
    return await this.post('/user/get/google/secretKey', params)
  }
  //删除用户
  async userListDelete(params = {}) {
    return await this.post('/user/delete', params)
  }
  //单个查询用户
  async userSingle(params = {}) {
    return await this.post('/user/search/single', params)
  }
  //添加用户
  async userListAdd(params = {}) {
    return await this.post('/user/add', params)
  }
  //修改用户
  async userListUpdate(params = {}) {
    return await this.post('/user/update', params)
  }
  //添加按钮
  async authorityActionAdd(params = {}) {
    return await this.post('/authority/action/add', params)
  }
  //销售上级列表
  async userSales(params = {}) {
    return await this.post('/user/sales', params)
  }
  // 商户管理 -列表
  async getShopManage(params = {}) {
    return await this.post('/merchant/search/list', params)
  }
  // 商户管理 -add
  async shopManageAdd(params = {}) {
    return await this.post('/merchant/add', params)
  }
  // 商户管理 -edit
  async shopManageEdit(params = {}) {
    return await this.post('/merchant/edit', params)
  }
  // 商户管理 -删除
  async shopManageDel(params = {}) {
    return await this.post('/merchant/delete', params)
  }
  // 商户管理 -获取单个商户信息
  async getShopManageInfo(params = {}) {
    return await this.post('/merchant/findSingle', params)
  }
  // 商户管理 -list
  async getShopManageList(params = {}) {
    return await this.post('/merchant/getAllMerchant', params)
  }
}

export default new UserService()
